Documentation Index
Fetch the complete documentation index at: https://docs.yabetoopay.com/llms.txt
Use this file to discover all available pages before exploring further.
Endpoint
Authentication
Use your secret key in theAuthorization header:
Secret key security: Your secret key must be kept confidential and should never be exposed in frontend or client-side code. It must only be used on the server side.
Request Body
| Parameter | Type | Required | Description |
|---|---|---|---|
amount | string | Yes | The amount to transfer (in the smallest currency unit) |
currency | string | Yes | Currency code (e.g., XAF, USD) |
first_name | string | Yes | Recipient’s first name |
last_name | string | Yes | Recipient’s last name |
payment_method_data | object | Yes | Payment method details |
metadata | object | No | Key-value metadata for internal tracking |
payment_method_data structure
| Field | Description |
|---|---|
type | Payment method type (momo for Mobile Money) |
momo.msisdn | Recipient’s phone number |
momo.country | Country code (e.g., CG, CM) |
momo.operator_name | Operator name (mtn, airtel) |
Example Request
Response
200 OK
Remittance Status
| Status | Description |
|---|---|
processing | Being processed |
succeeded | Remittance completed successfully |
failed | Remittance failed |
canceled | Remittance was canceled |